---
title: Installing Metabase
redirect_from:
  - /docs/latest/operations-guide/installing-metabase
---

# Installing Metabase

Metabase is built and packaged as a Java JAR file and can be run anywhere that Java is available.

## [Metabase Cloud](https://store.metabase.com/checkout)

The easiest way to run Metabase. All you need to do is [sign up for a free trial](https://store.metabase.com/checkout), and you're off to the races.

## Self-hosting Metabase

For an overview on how to self-host Metabase, check out [how to run Metabase in production](https://www.metabase.com/learn/administration/metabase-in-production).

### [Running the Jar File](running-the-metabase-jar-file.md)

Metabase can run anywhere Java is available.

### [Running on Docker](running-metabase-on-docker.md)

If you prefer to use a Docker container, we've got you covered.

## Professional services from the Metabase team

If you want help with:

- Set up
- Training
- Data stack
- Embedding
- Data modeling

Check out our [professional services](https://www.metabase.com/product/professional-services).

## Upgrading Metabase

See [Upgrading Metabase](upgrading-metabase.md)

## Other installation options

- [Running on Podman](running-metabase-on-podman.md)
- [Building Metabase from source](../developers-guide/start.md)
- [Running on Azure Web Apps](running-metabase-on-azure.md)
- [Running on Debian as a service](running-metabase-on-debian.md)

## Connect with a Metabase Expert

If you’d like more technical resources to set up your data stack with Metabase, connect with a [Metabase Expert](https://www.metabase.com/partners/).